API Explorer 993 endpoints

Delete livestock by id

DELETE /obp/v7.0.0/banks/SYS/dynamic-entities/livestock/LIVESTOCK_ID

OBPv7.0.0-dynamicEntity_deletelivestock_ Roles: CanDeleteDynamicEntityRecord_livestock(per bank) _LivestockDynamic-EntityDynamic

Delete livestock by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"livestock"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "livestock_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "species": "cattle_dairy",
  "breed": "Holstein Friesian",
  "head_count": 85,
  "head_count_date": "2026-01-01",
  "livestock_unit": 85,
  "production_system": "grazing",
  "manure_management_system": "slurry_tank",
  "feed_type": "pasture",
  "avg_daily_weight_gain_kg": 1.1,
  "milk_yield_litres_per_day": 28.5
}
Example success response
{
  "bank_id": "SYS",
  "livestock": {
    "livestock_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "species": "cattle_dairy",
    "breed": "Holstein Friesian",
    "head_count": 85,
    "head_count_date": "2026-01-01",
    "livestock_unit": 85,
    "production_system": "grazing",
    "manure_management_system": "slurry_tank",
    "feed_type": "pasture",
    "avg_daily_weight_gain_kg": 1.1,
    "milk_yield_litres_per_day": 28.5
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_deletelivestock_ Originally /banks/SYS/dynamic-entities/livestock/LIVESTOCK_ID